Skip to main content

View All Drip Autoresponders

This API endpoint provides a paginated list of all Drip Autoresponder campaigns. The campaigns are listed in descending order, with the most recently created campaigns appearing first.

GET
 https://api.pushengage.com/apiv1/drips

Query Parameters

Parameter NameTypeRequiredDescription
analytics_start_atStringNoThe UTC start date for the analytics data in the YYYY-MM-DD (ISO 8601) format.
analytics_end_atStringNoThe UTC end date for the analytics data in the the YYYY-MM-DD (ISO 8601) format.
pageNumberNoDefault: 1, >=1
The page number for the requested data. The value should be greater than 1.
limitNumberNoDefault: 10, [1..500]
The number of items per page. The value should be between 1 to 500.

Response Object

The response object returned by the API endpoint contains the details about Drip Autoresponder campaigns. The response also includes metadata such as total number of results, current page, last page and results per page.

Property NameTypeRequiredDescription
successBooleanYesIndicates whether the API call was successful or not.
dataDrip Autoresponder[]YesAn Array of Drip Autoresponder campaign object.
metaObjectYesAn object containing metadata for the response.
meta.totalNumberYesThe total number of results.
meta.pageNumberYesThe current page number.
meta.perPageNumberYesThe number of results per page.
meta.lastPageNumberYesThe last page number.

Drip Autoresponder

Property NameTypeRequiredDescription
drip_idNumberYesThe unique identifier for the Drip Autoresponder campaign.
campaign_nameStringYesThe name of the Drip Autoresponder campaign.
drip_typeStringYesValid values: generic, welcome
Type of the Drip campaign.
statusStringYesValid values: draft, active, pause, deleted
The status of the Drip campaign.
site_idNumberYesThe unique identifier of the site associated with the Drip campaign.
created_at_utcStringYesThe UTC timestamp when the Drip campaign was created in ISO 8601 format.
updated_at_utcStringYesThe UTC timestamp when the Drip campaign was last updated in ISO 8601 format.
audienceAudienceYesDefines the target audience for the Drip campaign.
optionsObjectYesAn object containing extra options for the drip campaign.
options.result_nameStringYesThe name of the goal used for Goal tracking in the Drip campaign.
analyticsAnalyticsYesAn object containing analytics information for the Drip campaign.
utm_paramsUTM ParamsNoAn object containing UTM parameters for the Drip campaign.

Audience

Property NameTypeDescription
filterObjectSpecifies the filter criteria for selecting the audience.
filter.valueArrayAn Array of audience filter rule group. Each filter rule group contains an array of audience filter rule. An audience matching all of the filter rule in any of the filter rule group is selected for the Drip campaign.
filter.value.*.*.fieldStringValid values: segments, country, states, city, device, device_type
Specifies the filter rule field to be used for filtering the audience.
filter.value.*.*.opStringValid values: all, in, nin
Specifies the filter rule operation to be performed for filtering the audience.
filter.value.*.*.valueNumber[] | String[]Specifies the filter rule value to be used for filtering the audience.

Analytics Object

Property NameTypeRequiredDescription
viewsNumberYesThe number of view for the notification.
clicksNumberYesThe number of clicks on the notification.
sentcountNumberYesThe number of notification sent.
unsubscribedNumberYesThe number of unsubscribes for the notification.
ctrNumberYesThe click-through rate for the the notification.
resultArrayNoAn array of analytics result/goal object associated with the notification.
result.*.nameStringNoThe name of the goal.
result.*.countNumberNoThe count of the goal.
result.*.valueNumberNoThe value of the goal.

UTM params Object

Property NameTypeRequiredDescription
utm_sourceStringYesThe UTM source parameter value included in the URL of the notifications for the campaign.
utm_mediumStringYesThe UTM medium parameter value included in the URL of the notifications for the campaign.
utm_campaignStringYesThe UTM campaign parameter value included in the URL of the notifications for the campaign.
utm_termStringNoThe UTM term parameter value included in the URL of the notifications for the campaign.
utm_contentStringNoThe UTM content parameter value included in the URL of the notifications for the campaign.

Example

Request

curl -X GET \
'https://api.pushengage.com/apiv1/drips?analytics_start_at=2023-02-30&analytics_end_at=2023-03-30&page=1&limit=10' \
-H 'Api-Key: <YOUR_API_KEY>'

Response

{
"success": true,
"data": [
{
"drip_id": 28298989,
"campaign_name": "Drip Autoresponder Campaign",
"audience": {
"filter": {
"value": [
[
{
"field": "country",
"op": "in",
"value": ["India", "Canada", "United States", "Australia"]
},
{ "field": "segments", "op": "in", "value": [746353, 98786] }
]
]
}
},
"status": "active",
"site_id": 3289073,
"created_at_utc": "2023-02-27T08:56:45Z",
"updated_at_utc": "2023-02-27T08:56:45Z",
"drip_type": "generic",
"utm_params": {
"utm_source": "PushEngage",
"utm_medium": "Push Notification",
"utm_campaign": "Drip Autoresponder",
"utm_term": "UTM Term",
"utm_content": "UTM Content"
},
"options": {
"result_name": "revenue"
},
"analytics": {
"ctr": 10,
"views": 100,
"clicks": 10,
"sentcount": 150,
"unsubscribed": 10,
"result": [
{
"name": "revenue",
"count": 10,
"value": 200
}
]
}
}
],
"meta": {
"total": 1,
"page": 1,
"lastPage": 1,
"perPage": 10
}
}